/*	$NetBSD: octeon_l2creg.h,v 1.2 2020/06/18 13:52:08 simonb Exp $	*/

/*
 * Copyright (c) 2007 Internet Initiative Japan, Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */

/*
 * L2C Registers
 */

#ifndef _OCTEON_L2CREG_H_
#define _OCTEON_L2CREG_H_

#define	L2C_CFG					0x0001180080000000ULL
#define	L2T_ERR					0x0001180080000008ULL
#define	L2D_ERR					0x0001180080000010ULL
#define	L2D_FADR				0x0001180080000018ULL
#define	L2D_FSYN0				0x0001180080000020ULL
#define	L2D_FSYN1				0x0001180080000028ULL
#define	L2C_DBG					0x0001180080000030ULL
#define	L2C_LFB0				0x0001180080000038ULL
#define	L2C_LFB1				0x0001180080000040ULL
#define	L2C_LFB2				0x0001180080000048ULL
#define	L2C_DUT					0x0001180080000050ULL
#define	L2C_LCKBASE				0x0001180080000058ULL
#define	L2C_LCKOFF				0x0001180080000060ULL
#define	L2C_SPAR0				0x0001180080000068ULL
#define	L2C_SPAR4				0x0001180080000088ULL
#define	L2C_PFCTL				0x0001180080000090ULL
#define	L2C_PFC0				0x0001180080000098ULL
#define	L2C_PFC1				0x00011800800000a0ULL
#define	L2C_PFC2				0x00011800800000a8ULL
#define	L2C_PFC3				0x00011800800000b0ULL
#define	L2C_LFB3				0x00011800800000b8ULL
#define	L2D_BST0				0x0001180080000780ULL
#define	L2D_BST1				0x0001180080000788ULL
#define	L2D_BST2				0x0001180080000790ULL
#define	L2D_BST3				0x0001180080000798ULL
#define	L2D_FUS0				0x00011800800007a0ULL
#define	L2D_FUS1				0x00011800800007a8ULL
#define	L2D_FUS2				0x00011800800007b0ULL
#define	L2D_FUS3				0x00011800800007b8ULL
#define	L2C_BST2				0x00011800800007e8ULL
#define	L2C_BST1				0x00011800800007f0ULL
#define	L2C_BST0				0x00011800800007f8ULL

#endif /* _OCTEON_L2CREG_H_ */
