/*	$NetBSD: cpu_counter.h,v 1.7 2020/06/15 09:09:23 msaitoh Exp $	*/

/*-
 * Copyright (c) 2000, 2008 The NetBSD Foundation, Inc.
 * All rights reserved.
 *
 * This code is derived from software contributed to The NetBSD Foundation
 * by Bill Sommerfeld.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
 * ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
 * TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
 * BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */

#ifndef _X86_CPU_COUNTER_H_
#define _X86_CPU_COUNTER_H_

#ifdef _KERNEL

#include <sys/lwp.h>

extern uint64_t	cpu_frequency(struct cpu_info *);
extern int	cpu_hascounter(void);
extern uint64_t	(*cpu_counter)(void);
extern uint32_t	(*cpu_counter32)(void);

extern uint64_t	cpu_counter_cpuid(void);
extern uint64_t	cpu_counter_lfence(void);
extern uint64_t	cpu_counter_mfence(void);
extern uint32_t	cpu_counter32_cpuid(void);
extern uint32_t	cpu_counter32_lfence(void);
extern uint32_t	cpu_counter32_mfence(void);

#endif	/* _KERNEL */

#endif /* !_X86_CPU_COUNTER_H_ */
