/* $NetBSD: pci_resource.h,v 1.2 2025/03/03 19:02:30 riastradh Exp $ */

/*-
 * Copyright (c) 2022 Jared McNeill <jmcneill@invisible.ca>
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */

#ifndef	_DEV_PCI_PCI_RESOURCE_H_
#define	_DEV_PCI_PCI_RESOURCE_H_

#include <sys/types.h>

enum pci_range_type {
	PCI_RANGE_BUS,
	PCI_RANGE_IO,
	PCI_RANGE_MEM,
	PCI_RANGE_PMEM,
	NUM_PCI_RANGES
};

struct pci_resource_info {
	pci_chipset_tag_t		pc;
	struct pci_resource_arena	*ranges[NUM_PCI_RANGES];
};

void		pci_resource_add_range(struct pci_resource_info *,
		    enum pci_range_type, uint64_t, uint64_t);
void		pci_resource_init(const struct pci_resource_info *);
const char *	pci_resource_typename(enum pci_range_type);

#endif	/* _DEV_PCI_PCI_RESOURCE_H_ */
